de.caff.util.settings

## Interface PreferenceProperty

- All Superinterfaces:
    ChangeableItem
  All Known Subinterfaces:
    BooleanPreferenceProperty, BytePreferenceProperty, CharPreferenceProperty, ColorPreferenceProperty, DirectoryPreferenceProperty, DoublePreferenceProperty, EditablePreferenceProperty, EnumPreferenceProperty<E>, FloatPreferenceProperty, IntegerPreferenceProperty, LongPreferenceProperty, PhysicalLengthPreferenceProperty, ShortPreferenceProperty, StringListPreferenceProperty, StringPreferenceProperty, UrlListPreferenceProperty
  All Known Implementing Classes:
    BasicPhysicalLengthPreferenceProperty, BoundsPreferenceProperty, EditablePreferenceGroup, SimpleBooleanPreferenceProperty, SimpleBytePreferenceProperty, SimpleCharPreferenceProperty, SimpleDirectoryPreferenceProperty, SimpleDoublePreferenceProperty, SimpleFloatPreferenceProperty, SimpleIntegerPreferenceProperty, SimpleLongPreferenceProperty, SimplePreferenceGroup, SimpleShortPreferenceProperty, SimpleStringPreferenceProperty, SizePreferenceProperty, SwingBooleanPreferenceProperty, SwingColorPreferenceProperty, SwingDirectoryPreferenceProperty, SwingDoublePreferenceProperty, SwingEnumPreferenceProperty, SwingHttpProxyPropertySettings, SwingIntegerPreferenceProperty, SwingLongPreferenceProperty, SwingLookAndFeelPreferenceProperty, SwingRecentFilesPreferenceProperty, SwingStringPreferenceProperty, SwingUrlListPreferenceProperty

      public interface PreferenceProperty
      extends ChangeableItem

  Description of a preference property. A preference property has a value of some kind which may be stored to a read from a Preferences object, and it can inform listeners if this value is changed.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_VALUE` The property for the value of a preference property.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Field Detail

    - #### PROPERTY_VALUE

          static final java.lang.String PROPERTY_VALUE

      The property for the value of a preference property.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### readFrom

          void readFrom(@NotNull
                        java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          void storeTo(@NotNull
                       java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Parameters:
        `preferences` - preferences where to store the property value